=== debian/changelog ===
python-httpretty (0.8.0-0ubuntu3) trusty; urgency=medium

  * debian/rules: Really disable tests.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Feb 2014 08:58:58 -0500

python-httpretty (0.8.0-0ubuntu2) trusty; urgency=medium

  * debian/rules: Temporarily disable tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Feb 2014 14:15:49 -0500

python-httpretty (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - debian/patches/fix-ubuntu-tests.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 04 Feb 2014 09:31:38 -0500

python-httpretty (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release. 
  * debian/control:
    - Drop python-misaka dependency, not needed.
    - Replaced python-httplib2 run time dependency with python-urllib3.
    - Added python-tornado as a build time dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 03 Feb 2014 11:06:33 -0500

python-httpretty (0.7.0-0ubuntu2) trusty; urgency=low

  * debian/control:
    - Dont install python-nose and python-mock as a runtime dependency.
    - Add python-sure as a build-dependency.
  * debian/rules: Enable testsuite.
  * debian/patches/fix-ubuntu-tests.patch:  Fix testsuite to build with Ubuntu.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 Nov 2013 10:31:10 -0500

python-httpretty (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release. 
  * debian/watch: Fixed url.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Oct 2013 14:46:42 -0700

python-httpretty (0.6.3+20130727+git9d03c1cf-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/copyright source field.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 13:46:26 +0800

python-httpretty (0.6.2-2) unstable; urgency=low

  * Fixed debian/copyright

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2013 20:07:17 +0800

python-httpretty (0.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #721517).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 22:09:02 +0800
