=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/gabrielfalcao/HTTPretty.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

#override_dh_auto_test:
#	nosetests || true
