=== debian/watch ===
version=3
http://pypi.python.org/packages/source/h/httpretty/httpretty-(.*).tar.gz
