## python-httpretty 0.8.6

=== Makefile ===
--- 
+++ 
@@ -33,10 +33,10 @@
 release: clean unit functional
 	@echo "Releasing httpretty..."
 	@./.release
-	@python setup.py sdist register upload
+	@python setup.py sdist bdist_wheel register upload
 
 docs: doctests
-	@pandoc -o readme.rst README.md
+	@pandoc -o README.rst README.md
 	@markment -o . -t ./theme --sitemap-for="http://falcao.it/HTTPretty" docs
 
 deploy-docs:
