=== debian/changelog ===
python-httpretty (0.8.6-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 19:51:29 +0000

python-httpretty (0.8.6-1) experimental; urgency=medium

  * New upstream release.
  * Added export http{s,}_proxy.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Apr 2015 12:01:53 +0200

python-httpretty (0.8.3-2) experimental; urgency=medium

  * Adds a patch to remove non-ascii chars from source.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Apr 2015 11:22:29 +0200

python-httpretty (0.8.3-1) experimental; urgency=medium

  * New upstream release.
  * Added a lintian-overrides for theme/assets/js/prefixfree.min.js: the file
    isn't minifed, so it's ok.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Mar 2015 11:10:36 +0100

python-httpretty (0.8.0-2) unstable; urgency=medium

  * Added python3 support.
  * Allow the unit tests to fail, because they do with the last version of
    python-sure (Closes: #746118).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2014 15:44:09 +0800

python-httpretty (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed tests removal, because upstream did remove the tests files from the
    setup.py.
  * reviewed (build-)dependencies.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Mar 2014 22:20:14 +0800

python-httpretty (0.7.1-3) unstable; urgency=medium

  * Do not package the test folder. (Closes: #738210)

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Feb 2014 18:06:15 +0800

python-httpretty (0.7.1-2) unstable; urgency=medium

  * Added missing build-depends: python-mock, python-nose.

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Feb 2014 15:18:07 +0800

python-httpretty (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Adds unit tests run.
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Dec 2013 16:09:41 +0800
