=== debian/control ===
Source: python-httpretty
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all (>= 3.2),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-httplib2,
                     python-mock,
                     python-nose,
                     python-requests,
                     python-sure,
                     python-tornado,
                     python-urllib3,
                     python3-httplib2,
                     python3-mock,
                     python3-nose,
                     python3-requests,
                     python3-sure,
                     python3-tornado,
                     python3-urllib3,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-httpretty.git
Vcs-Git: git://anonscm.debian.org/openstack/python-httpretty.git
Homepage: http://github.com/gabrielfalcao/httpretty

Package: python-httpretty
Architecture: all
Depends: python-urllib3,
         ${misc:Depends},
         ${python:Depends},
Description: HTTP client mock - Python 2.x
 Once upon a time a Python developer wanted to use a RESTful API, everything
 was fine but until the day he needed to test the code that hits the RESTful
 API: what if the API server is down? What if its content has changed ?
 .
 Don't worry, HTTPretty is here for you.
 .
 This package provides the Python 2.x module.

Package: python3-httpretty
Architecture: all
Depends: python3-urllib3,
         ${misc:Depends},
         ${python3:Depends},
Description: HTTP client mock - Python 3.x
 Once upon a time a Python developer wanted to use a RESTful API, everything
 was fine but until the day he needed to test the code that hits the RESTful
 API: what if the API server is down? What if its content has changed ?
 .
 Don't worry, HTTPretty is here for you.
 .
 This package provides the Python 3.x module.
