=== requirements.txt ===
# HTTPretty doesn't have any requirements per se so far. yay!
