=== debian/changelog ===
python-httpretty (0.8.14-2+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Removed version from python{3,}-all build dependency
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 19:45:21 +0000

python-httpretty (0.8.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #815851)
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright
    - Changed source URL to https protocol
    - Reordered
    - Added myself to Debian part
  * Removed removes-non-ascii-char-from-source.patch (not needed)
  * Don't ignore unittests results during build and enable Py3 tests
  * Enabled autopkgtest-pkg-python testsuite
  * Standards-Version is 3.9.8 now (no changes needed)
  * Install upstream changelog

 -- Ondřej Nový <novy@ondrej.org>  Tue, 24 May 2016 14:08:23 +0200
