=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-setuptools,
-               python3-all (>= 3.2),
+               python3-all,
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
                      python-httplib2,
@@ -25,10 +25,11 @@
                      python3-sure,
                      python3-tornado,
                      python3-urllib3,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-httpretty.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-httpretty.git
-Homepage: http://github.com/gabrielfalcao/httpretty
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-httpretty?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-httpretty -b debian/newton
+Homepage: https://github.com/gabrielfalcao/httpretty
+Testsuite: autopkgtest-pkg-python
 
 Package: python-httpretty
 Architecture: all
