=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/gabrielfalcao/HTTPretty.git
+UPSTREAM_GIT := https://github.com/gabrielfalcao/HTTPretty.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export http_proxy=127.0.0.1:9
-export https_proxy=127.0.0.1:9
+#export http_proxy=127.0.0.1:9
+#export https_proxy=127.0.0.1:9
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
@@ -24,6 +24,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	nosetests tests/unit || true
-	#nosetests3 tests/unit || true
+	nosetests tests/unit
+	nosetests3 tests/unit
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs docs/NEWS.md
