=== debian/changelog ===
python-httpretty (0.9.5-6) unstable; urgency=medium

  * Team upload.
  * Use pybuild to build package again.
  * Bump debhelper compat level to 12 again.
  * Sync d/changelog of 0.9.5-4 and 0.9.5-5 with archive reality.

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Sep 2019 13:44:06 +0200

python-httpretty (0.9.5-5) unstable; urgency=medium

  * Lower debhelper compat level to 11.
  * Use openstack-pkg-tools instead of pybuild to build package.
  * Add python3-coverage to B-D.
  * Remove versioned depends of python3-six.
  * Bump required version of openstack-pkg-tools.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2019 14:00:13 +0200

python-httpretty (0.9.5-4) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Use pybuild to build package.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0.
  * Drop Python 2 support (Closes: #937818).

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Sep 2019 12:05:49 +0200

python-httpretty (0.9.5-3) unstable; urgency=medium

  [ Ben Finney & Thomas Goirand ]
  * Add a patch to correct upstream bug with matching URIs.
    (Closes: #919599).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Jan 2019 15:00:06 +0100

python-httpretty (0.9.5-2) unstable; urgency=medium

  * Add RES_OPTIONS=attempts:0 to avoid resolving in unit tests.
  * Remove test that is doing network access during the build. Thanks to
    Adrian Bunk for the bug report (Closes: #909287).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Sep 2018 10:12:41 +0200

python-httpretty (0.9.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removed version from python{3,}-all build dependency
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add patch to remove with-randomly from setup.cfg's nose config.
  * Add remove-broken-test.patch.
  * Using python -m nose to run tests on all Py versions.
  * Do not install docs/NEWS.md which doesn't exist anymore.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Sep 2018 15:35:26 +0000
