=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/gabrielfalcao/HTTPretty.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9
export RES_OPTIONS=attempts:0

export PYBUILD_NAME=httpretty
export PYBUILD_TEST_ARGS=tests/unit

%:
	dh $@ --buildsystem=pybuild --with python3
