=== debian/changelog ===
python-httpretty (1.1.4-4) unstable; urgency=medium

  * Remove extraneous dependency on python3-six (Closes: #1060686).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2024 14:24:18 +0100

python-httpretty (1.1.4-3) unstable; urgency=medium

  * Switch to pytest instead of nose (Closes: #1018511).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Aug 2023 17:12:13 +0200

python-httpretty (1.1.4-2) unstable; urgency=medium

  * Cleans better (Closes: #1047382).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:55:47 +0200

python-httpretty (1.1.4-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Oct 2021 23:07:22 +0200

python-httpretty (1.0.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.0.5.
  * d/watch: point file correctly to be detected by uscan
  * d/patches: update patches:
    - Remove python-3.9-threading.isAlive-is-removed.patch (not needed).
    - Remove remove-with-randomly.patch (not needed).
  * d/control: add python3-freezegun build dependency.
  * d/control: bump debhelper-compat to 13 (from 12).
  * d/control: bump Standards-Version to 4.5.1 (from 4.4.1).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 04 May 2021 18:43:33 -0300

python-httpretty (0.9.5-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Add python-3.9-threading.isAlive-is-removed.patch (Closes: #972721).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Oct 2020 01:44:30 +0100
