=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,
+ python3-freezegun,
  python3-setuptools,
 Build-Depends-Indep:
  python3-coverage,
  python3-httplib2,
  python3-mock,
- python3-nose,
- python3-rednose,
  python3-requests,
- python3-six,
+ python3-pytest,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.websupport,
@@ -25,7 +24,7 @@
  python3-tornado,
  python3-tz,
  python3-urllib3,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-httpretty
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-httpretty.git
 Homepage: https://github.com/gabrielfalcao/httpretty
@@ -34,7 +33,6 @@
 Package: python3-httpretty
 Architecture: all
 Depends:
- python3-six,
  python3-urllib3,
  ${misc:Depends},
  ${python3:Depends},
