=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/gabrielfalcao/HTTPretty.git
-include /usr/share/openstack-pkg-tools/pkgos.make

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9
#export RES_OPTIONS=attempts:0

export PYBUILD_NAME=httpretty
export PYBUILD_TEST_ARGS=-v tests/unit

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .pybuild .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
